Description

Steps to Reproduce on Foreman 3.9 + Katello 4.11:

1. go to monitor > jobs

2. click run job

3. select katello via ansible & update package - katello ansible default

4. select two hosts: EL 8 and Debian 12

5. enter "vim" as package

6. click run on selected

Result: fails on Debian because the job template does not really make use of Ansible's capabilities

---

- hosts: all

  tasks:

    - shell:

        cmd: |

          yum -y update vim

      register: out

    - debug: var=out

 See also rg -i "Katello Ansible Default" in the katello repository.

Associated revisions

Revision 0cb7253f - 05/03/2024 02:51 PM - Maximilian Kolb

Fixes #37340 - Use package module to update packages

In favor of just running a shell command via Ansible, you can use the

Ansible module "ansible.builtin.package" to perform package actions such

as installing, updating, and removing packages.

NOTE: "package_names.empty?" is always empty for hosts running Debian or

Ubuntu.

To imitate the behaviour of shell-based job templates in

"foreman_remote_execution", we update all packages if the user input is

empty.

Ansible docs: https://docs.ansible.com/ansible/latest/collections/ansible/builtin/package_module.html

Ensure feature of job template is unique

introduced with 4f236c7dbff1038fa1bf96bad9c7cd458e163016

Refs #37051

See also "install_package_-_katello_ansible_default.erb"

History

#1 - 04/10/2024 05:42 PM - Samir Jha
https://docs.ansible.com/ansible/latest/collections/ansible/builtin/package_module.html


- Target version set to Katello Next

- Triaged changed from No to Yes

#2 - 04/11/2024 12:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10958 added

#3 - 05/03/2024 02:51 PM - The Foreman Bot

- Fixed in Releases Katello 4.13.0 added

#4 - 05/03/2024 03:00 PM - Maximilian Kolb

- Status changed from Ready For Testing to Closed

Applied in changeset katello|0cb7253f929ecd8c4b2e0def8308cfa55f6c9704.
